package com.crm.web.service;

import com.crm.rely.backend.core.dto.base.BaseResultDto;
import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.dto.web.video.WebVideoSearchDto;
import com.crm.rely.backend.model.entity.web.video.WebVideoAddEntity;
import com.crm.rely.backend.model.entity.web.video.WebVideoDeleteEntity;
import com.crm.rely.backend.model.entity.web.video.WebVideoSearchListEntity;
import com.crm.rely.backend.model.entity.web.video.WebVideoUpdateEntity;
import com.crm.rely.backend.model.pojo.table.WebVideoTable;

import java.util.List;

public interface WebVideoService {
    boolean validateAllRead(Long customId) throws ServiceException;

    BaseResultDto<WebVideoSearchDto> searchSingle(Long id) throws ServiceException;

    WebVideoTable getById(Long id) throws ServiceException;

    List<WebVideoSearchDto> searchList(WebVideoSearchListEntity entity) throws ServiceException;

    ResultWithPagerDto<WebVideoSearchDto> pageSearchList(WebVideoSearchListEntity entity) throws ServiceException;

    void add(WebVideoAddEntity entity) throws ServiceException;

    void update(WebVideoUpdateEntity entity) throws ServiceException;

    void delete(WebVideoDeleteEntity entity) throws ServiceException;
}
